Subject: bug#77074: closed (Re: bug#77074: rootless-podman-service-type error: subid-range: unbound variable)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Mar 2025 10:55:03 +0000

Your bug report

#77074: rootless-podman-service-type error: subid-range: unbound variable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77074: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77074
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77074: rootless-podman-service-type error: subid-range: unbound variable
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Mar 2025 11:54:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> Hi,
>
> [email-masked] skribis:
>
>> When attempting to use rootless-podman-service-type, I get "error: subid-range: unbound variable".
>
> I believe that’s because you need to add:
>
>   (use-modules (gnu system accounts))

I updated the doc in 80d9270c9533d72c4549dbd0367a433e662eaa1a.

Ludo'.

Subject: rootless-podman-service-type error: subid-range: unbound variable
From: [email-masked]
To: [email-masked]
Date: Mon, 17 Mar 2025 15:41:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

When attempting to use rootless-podman-service-type, I get "error: subid-range: unbound variable".

I copied the example in the manual, here: https://guix.gnu.org/manual/devel/en/guix.html#index-Rootless-Podman.

Best